<template>
  <div>
    <h1 class="mb-8">Do you have any isolated bald spots on your scalp?</h1>
    <div class="space-y-3 mb-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin, referMixin],
  name: "YourHealth4",
  data() {
    return {
      choices: [
        'Yes',
        'No'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_4')
        this.nextStage()
      }
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.setRefer('We’ve hit a minor road bump.', 'It looks like the women’s personalized prescription solution isn’t compatible with your needs.\n\nYour specific symptoms indicate you may be suffering from alopecia areata or another health issue that will not respond to this type of treatment. Contact your primary care physician to discuss other treatment options.\n\nHowever, you may benefit from a different formula:')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
